[HOW TO]Apply the downgrading patch
#1

Lots of people have trouble while they are trying to use the downgrader patch.
Some of them are just lazy,and some others don't have the basic knowledge of the computers.
So,i decided to make a step by step tutorial,<How to downgrade you copy of GTA:San Andreas>.

Step 1:
First of all you have to download the patcher:

Download

Step 2:
Now the download will be a zip file.
The real patch is in that archive.
Right click on gtasapatch.zip abd click on Extract all
Click Next 3 times and you've extracted the file
This is how the file shold look like:


Step 3:
Double click gtasapatch.exe and this window should pop-up:

Click Next

Click Next

Now the patcher needs to know your GTA:San Andreas installation path
Like "C:\Program Files\:Rockstar Games\GTA San Andreas"
Attention:Giving and incorrect path will result in a failure!
You can also click on "..." button to browse for GTA:SA

Click Next
Now the patcher will check for your GTA:SA version and it will patch it.


Now your GTA:SA is at version 1.0

Enjoy,and don't hesistate to ask if you got stuck somewhere!

Cheers!

Attention
Having a cracked version of San Andreas wil also result in a failure.
The crack modifies somethings in the executable and so it will make it an unknown version!
Also the Steam and Direct2Drive version are not supported!

The supported version are
Code:
USA 1.01
USA 2.00
EU 1.01
EU 2.00
GER 1.01
GER 1.00
Reply
#2

I think an idiot would know how to do it
Reply
#3

Quote:
Originally Posted by l0l0rz
I think an idiot would know how to do it
We must have a lot of sub-idiots then because people are ALWAYS asking how to do it.

Excellent post Jellix
Reply
#4

Quote:
Originally Posted by kaisersouse
Quote:
Originally Posted by l0l0rz
I think an idiot would know how to do it
We must have a lot of sub-idiots then because people are ALWAYS asking how to do it.

Excellent post Jellix
Thank you.
Well,there are lots of people that don't have the basic knowledge of computers,but they want to play sa-mp.

I just tried to make myself useful.
Reply
#5

Quote:
Originally Posted by Jellix
Quote:
Originally Posted by kaisersouse
Quote:
Originally Posted by l0l0rz
I think an idiot would know how to do it
We must have a lot of sub-idiots then because people are ALWAYS asking how to do it.

Excellent post Jellix
Thank you.
Well,there are lots of people that don't have the basic knowledge of computers,but they want to play sa-mp.

I just tried to make myself useful.
True :P, People need screenshots and stuff to understand Nice post
Reply
#6

when i try to install the patch, it tells me i have an unknown version


"This program cannot patch the installed version of San Andreas because of the following reason

D:\PROGRAM FILES\ROCKSTAR\GTA SAN ANDREAS\gta_sa.exe: unknown version"


Reply
#7

Apply too D:\PROGRAM FILES\ROCKSTAR\GTA SAN ANDREAS

not
D:\PROGRAM FILES\ROCKSTAR\GTA SAN ANDREAS\gta_sa.exe

i think..

Reply
#8

Quote:
Originally Posted by Storey246
when i try to install the patch, it tells me i have an unknown version


"This program cannot patch the installed version of San Andreas because of the following reason

D:\PROGRAM FILES\ROCKSTAR\GTA SAN ANDREAS\gta_sa.exe: unknown version"


Has to be one of this versions :

Code:
USA 1.01
USA 2.00
EU 1.01
EU 2.00
GER 1.01
GER 1.00
Reply
#9

I downloaded and did this patch on US 2.0, but when I start any SAMP server, it passes the loading screen and crashes. Windows blames it on gta_sa.exe! I really want to test out RPG Streetlife 4!
Reply
#10

Hey Everyone,
I have a problem with the downgrader. (i know how to aplly it just so you know) after i give the path of my .exe file it says that i have an unknown version. I have XP and its the German Version of the game but can be played in english etc. Please someone help i badly want to play multiplayer
Reply
#11

Ok, i need some help.
I've got the Multi (chose the language german) v1.1 and after I choose the gamedirectory and click next:

What should i do?
Reply
#12

someone figure out how to make this work with the steam version

Reply
#13

yes, Jellix thank you lol. but i've got another problem passed that tutorial you just gave me.

everything is working fine but the downgrading.

when i try to downgrade it says:


NO, i am not using Vista, just XP.

yes, i also tried downgrading before cracking, etc.

TRIED EVERYTHING.
Royal_McDude, also tried your .ZIP file.. not working at all.

please share your knowledge and add me on msn if you know how to fix this.
grave-diggers@hotmail.com

THNX!
Reply
#14

Quote:
Originally Posted by Bucks
Ok, i need some help.
I've got the Multi (chose the language german) v1.1 and after I choose the gamedirectory and click next:

What should i do?
I keep getting that too :S
Reply
#15

Well reading all of this here i decided to test and reproduce your downgrader errors.

1.I tried with a cracked 1.01 exe - Unknown version
2.I tried modding it (The game itself) - Works ok
3.I tried using a uninstalled copy of the game(you know copy & paste) - Here's the glitch

If you have a fresh copy of the game,of the original game,it should work 100%.
If this problem persists,buy the original game!

Again:
This problems are not occuring on a ORIGINAL game
(Original game aka Bought from a licensed game shop)
Reply
#16

Quote:
Originally Posted by Bucks
Ok, i need some help.
I've got the Multi (chose the language german) v1.1 and after I choose the gamedirectory and click next:

What should i do?
I get the same thing i did the downgrader, but after it's installed and it is downgrader it just always says,
"Please remove disc from current CD/DVD Drive and insert the oringinal disc in another drive D:!!"

How do i fix that error??
Also i am using Daemon tools because my computer doesn't recognize dvds, but i do have the game but unfortunately can't use it! HELP ME PLEASE!!!!!
Reply
#17

do i have to do it if i have GTA V.2.0?
Reply
#18

Quote:
Originally Posted by emoskittles
do i have to do it if i have GTA V.2.0?
Downgrade..
Reply
#19

Guys i had ive got a problem ive installled Gta SA Downgraded But Sa-mp loads singleplayer


Im using an original copy of the disc
Reply
#20

guys.. my samp stoped working after i installled 0.2x ... it says version not suported. so i tried to download downgrader but FILEFRONT aint working how it should for me... it says
"Your download has failed. There were no available download servers. Click here to try your download again. "

so.. can anyone give me link to other service to download from?
Reply


Forum Jump:


Users browsing this thread: